Name:           rogue
Version:        5.4.5
Release:        8%{?dist}
Summary:        The original graphical adventure game
Group:          Amusements/Games
License:        BSD
URL:            http://rogue.rogueforge.net/
Source0:        http://rogue.rogueforge.net/files/rogue5.4/rogue5.4.5a-src.tar.gz
Patch0:         rogue-5.4.5-writesave.patch
BuildRequires:  desktop-file-utils
BuildRequires:  ncurses-devel
Requires(post): coreutils
Requires(postun): coreutils

%description
The one, the only, the original graphical adventure game that spawned
an entire genre.

%prep
%setup -q -n %{name}%{version}
%patch0 -p0

%build
%configure --enable-setgid=games --enable-scorefile=%{_var}/games/roguelike/rogue54.scr --enable-lockfile=%{_var}/games/roguelike/rogue54.lck
make %{_smp_mflags}

%install
make install DESTDIR=%{buildroot}
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        rogue.desktop
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/
install -p -m 644 rogue.png %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%attr(2755,games,games) %{_bindir}/rogue
%{_mandir}/man6/rogue.6.gz
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/rogue.png
%dir %attr(0775,games,games) %{_var}/games/roguelike
%config(noreplace) %attr(0664,games,games) %{_var}/games/roguelike/rogue54.scr
%doc %{_docdir}/%{name}-%{version}

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Apr 24 2010 Wart <wart at kobold.org> 5.4.5-6
- Add patch for fixing corrupt writing of savefiles (BZ #560790)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Wart <wart at kobold.org> 5.4.5-3
- Add coreutils requirement for rpm post scripts (BZ #475924)

* Fri Feb 8 2008 Wart <wart at kobold.org> 5.4.5-2
- Rebuild for gcc 4.3

* Tue Jan 1 2008 Wart <wart at kobold.org> 5.4.5-1
- Update to 5.4.5
- Drop two files that are now included in the upstream tarball

* Sun Sep 2 2007 Wart <wart at kobold.org> 5.4.4-1
- Update to 5.4.4

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 5.4.2-10
- Rebuild for selinux ppc32 issue.

* Sun Jul 15 2007 Wart <wart at kobold.org> 5.4.2-9
- New upstream home page and download URL
- Add patch when reading long values from the save file on 64-bit arch
  (BZ #248283)
- Add patch removing many compiler warnings
- Use proper version in the .desktop file

* Sat Mar 3 2007 Wart <wart at kobold.org> 5.4.2-8
- Use better sourceforge download url
- Use more precise desktop file categories

* Mon Aug 28 2006 Wart <wart at kobold.org> 5.4.2-7
- Rebuild for Fedora Extras

* Tue May 16 2006 Wart <wart at kobold.org> 5.4.2-6
- Added empty initial scoreboard file.

* Mon May 15 2006 Wart <wart at kobold.org> 5.4.2-5
- Better setuid/setgid handling (again) (BZ #187392)

* Thu Mar 30 2006 Wart <wart at kobold.org> 5.4.2-4
- Better setuid/setgid handling (BZ #187392)
- Resize desktop icon to match directory name

* Mon Mar 13 2006 Wart <wart at kobold.org> 5.4.2-3
- Added icon for .desktop file.

* Sun Mar 12 2006 Wart <wart at kobold.org> 5.4.2-2
- Added missing BR: ncurses-devel, desktop-file-utils

* Sat Feb 25 2006 Wart <wart at kobold.org> 5.4.2-1
- Initial spec file.
